summaryrefslogtreecommitdiffstats
path: root/scripts
diff options
context:
space:
mode:
authorDan McGee <dan@archlinux.org>2007-07-15 16:29:26 +0200
committerDan McGee <dan@archlinux.org>2007-07-15 16:29:26 +0200
commit66b09410b4da950d4be95128333128fdb2658b3c (patch)
treeba4913210e3b2401e96f62a7738e58e8c1fc3363 /scripts
parentf0ea21cffca62c566c5e4d2c540c70fb891b9f4c (diff)
downloadpacman-66b09410b4da950d4be95128333128fdb2658b3c.tar.gz
pacman-66b09410b4da950d4be95128333128fdb2658b3c.tar.xz
Switch repo-add, repo-remove, and pacman-optimize to bsdtar
Relatively straightforward fixes (s/tar/bsdtar/g, add hyphens to options). Signed-off-by: Dan McGee <dan@archlinux.org>
Diffstat (limited to 'scripts')
-rw-r--r--scripts/pacman-optimize.sh.in6
-rw-r--r--scripts/repo-add.sh.in14
-rw-r--r--scripts/repo-remove.sh.in10
3 files changed, 15 insertions, 15 deletions
diff --git a/scripts/pacman-optimize.sh.in b/scripts/pacman-optimize.sh.in
index fe59e661..4c47d882 100644
--- a/scripts/pacman-optimize.sh.in
+++ b/scripts/pacman-optimize.sh.in
@@ -109,7 +109,7 @@ find $dbroot -type f | sort | xargs md5sum > /tmp/pacsums.old
# step 2: tar it up
msg "$(gettext "Tar'ing up %s...")" "$dbroot"
cd $dbroot
-tar -czf /tmp/pacmanDB.tgz ./
+bsdtar -czf /tmp/pacmanDB.tgz ./
if [ $? -ne 0 ]; then
rm -f /tmp/pacmanDB.tgz /tmp/pacsums.old
die_r "$(gettext "Tar'ing up %s failed.")" "$dbroot"
@@ -118,7 +118,7 @@ fi
# step 3: make and sum the new db
msg "$(gettext "Making and MD5sum'ing the new db...")"
mkdir $dbroot.new
-tar -zxpf /tmp/pacmanDB.tgz -C $dbroot.new/
+bsdtar -zxpf /tmp/pacmanDB.tgz -C $dbroot.new/
if [ $? -ne 0 ]; then
rm -f /tmp/pacmanDB.tgz /tmp/pacsums.old
rm -rf "$dbroot.new"
@@ -141,7 +141,7 @@ fi
# and use the .tgz to replace the old one
msg "$(gettext "Putting the new database in place...")"
rm -rf "$dbroot.new" "$dbroot"/*
-tar -zxpf /tmp/pacmanDB.tgz -C "$dbroot"/
+bsdtar -zxpf /tmp/pacmanDB.tgz -C "$dbroot"/
# remove the lock file, sum files, and .tgz of database
rm -f $lockfile /tmp/pacsums.old /tmp/pacsums.new /tmp/pacmanDB.tgz
diff --git a/scripts/repo-add.sh.in b/scripts/repo-add.sh.in
index 1df650bd..0992b9d3 100644
--- a/scripts/repo-add.sh.in
+++ b/scripts/repo-add.sh.in
@@ -80,7 +80,7 @@ checksum_name () {
# test if a file is a repository DB
test_repo_db_file () {
if [ -f "$REPO_DB_FILE" ]; then
- [ "$(tar tf "$REPO_DB_FILE" | grep -c "/desc")" -gt 0 ] || return 1
+ [ "$(bsdtar -tf "$REPO_DB_FILE" | grep -c "/desc")" -gt 0 ] || return 1
else
true
fi
@@ -114,7 +114,7 @@ db_write_entry()
"
# read info from the zipped package
- for i in $(tar xOf "$pkgfile" .PKGINFO | grep -v "^#" |sed 's|\(\w*\)\s*=\s*\(.*\)|\1="\2"|'); do
+ for i in $(bsdtar -xOf "$pkgfile" .PKGINFO | grep -v "^#" |sed 's|\(\w*\)\s*=\s*\(.*\)|\1="\2"|'); do
eval "${i}"
case "$i" in
group=*) _groups="$_groups $group" ;;
@@ -266,11 +266,11 @@ if [ $# -gt 1 ]; then
exit 1
elif [ -f "$REPO_DB_FILE" ]; then
echo "$(gettext ":: extracting database to a temporary location")"
- tar xf "$REPO_DB_FILE" -C "$gstmpdir"
+ bsdtar -xf "$REPO_DB_FILE" -C "$gstmpdir"
fi
else
if [ -f "$arg" ]; then
- if ! tar tf "$arg" .PKGINFO 2>&1 >/dev/null; then
+ if ! bsdtar -tf "$arg" .PKGINFO 2>&1 >/dev/null; then
echo "$(gettext "error: '%s' is not a package file, skipping")" $arg
else
echo "$(gettext ":: adding package '%s'")" $arg
@@ -295,10 +295,10 @@ if [ $# -gt 1 ]; then
[ -f "${REPO_DB_FILE}.old" ] && rm "${REPO_DB_FILE}.old"
[ -f "$REPO_DB_FILE" ] && mv "$REPO_DB_FILE" "${REPO_DB_FILE}.old"
case "$DB_COMPRESSION" in
- gz) tar c * | gzip -9 >$REPO_DB_FILE ;;
- bz2) tar c * | bzip2 -9 >$REPO_DB_FILE ;;
+ gz) bsdtar -c * | gzip -9 >$REPO_DB_FILE ;;
+ bz2) bsdtar -c * | bzip2 -9 >$REPO_DB_FILE ;;
*) echo "$(gettext "warning: no compression set")"
- tar c * >$REPO_DB_FILE;;
+ bsdtar -c * >$REPO_DB_FILE;;
esac
fi
else
diff --git a/scripts/repo-remove.sh.in b/scripts/repo-remove.sh.in
index 63209728..7943b2b8 100644
--- a/scripts/repo-remove.sh.in
+++ b/scripts/repo-remove.sh.in
@@ -52,7 +52,7 @@ There is NO WARRANTY, to the extent permitted by law.\n")"
# test if a file is a repository DB
test_repo_db_file () {
if [ -f "$REPO_DB_FILE" ]; then
- [ "$(tar tf "$REPO_DB_FILE" | grep -c "/desc")" -gt 0 ] || return 1
+ [ "$(bsdtar -tf "$REPO_DB_FILE" | grep -c "/desc")" -gt 0 ] || return 1
else
true
fi
@@ -120,7 +120,7 @@ if [ $# -gt 1 ]; then
exit 1
elif [ -f "$REPO_DB_FILE" ]; then
echo "$(gettext ":: extracting database to a temporary location")"
- tar xf "$REPO_DB_FILE" -C "$gstmpdir"
+ bsdtar -xf "$REPO_DB_FILE" -C "$gstmpdir"
fi
else
echo "$(gettext ":: searching for package '%s'")"
@@ -143,10 +143,10 @@ if [ $# -gt 1 ]; then
[ -f "${REPO_DB_FILE}.old" ] && rm "${REPO_DB_FILE}.old"
[ -f "$REPO_DB_FILE" ] && mv "$REPO_DB_FILE" "${REPO_DB_FILE}.old"
case "$DB_COMPRESSION" in
- gz) tar c * | gzip -9 >$REPO_DB_FILE ;;
- bz2) tar c * | bzip2 -9 >$REPO_DB_FILE ;;
+ gz) bsdtar -c * | gzip -9 >$REPO_DB_FILE ;;
+ bz2) bsdtar -c * | bzip2 -9 >$REPO_DB_FILE ;;
*) echo "$(gettext "warning: no compression set")"
- tar c * >$REPO_DB_FILE;;
+ bsdtar -c * >$REPO_DB_FILE;;
esac
fi
else